## ros-geometry 1.11.7

=== eigen_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(eigen_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED cmake_modules geometry_msgs std_msgs)
find_package(Eigen REQUIRED)

include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS include ${EIGEN_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs std_msgs
  DEPENDS orocos_kdl
)

add_library(${PROJECT_NAME}
  src/eigen_msg.cpp
  src/eigen_kdl.cpp
)
add_dependencies(${PROJECT_NAME} geometry_msgs_gencpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== geometry/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry)
find_package(catkin REQUIRED)
catkin_metapackage()

=== tf_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(tf_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED cmake_modules geometry_msgs kdl_conversions tf)
find_package(Eigen REQUIRED)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS Eigen orocos_kdl
  CATKIN_DEPENDS geometry_msgs kdl_conversions tf
)

include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})

# Needed due to no full filename in orocos_kdl pkg-config export
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/tf_kdl.cpp
  src/tf_eigen.cpp
)
add_dependencies(${PROJECT_NAME} geometry_msgs_gencpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

# Tests
if(CATKIN_ENABLE_TESTING)


catkin_add_gtest(test_eigen_tf test/test_eigen_tf.cpp)
target_link_libraries(test_eigen_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_kdl_tf test/test_kdl_tf.cpp)
target_link_libraries(test_kdl_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})

catkin_add_nosetests(test/posemath.py)

endif()


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-geometry (1.11.7-1) unstable; urgency=medium

  * Initial package. (Closes: #804935)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 26 Dec 2015 12:22:44 +0000

=== debian/control ===
Source: ros-geometry
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9),
		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all, python-setuptools, dh-python,
		libgeometry-msgs-dev, libactionlib-msgs-dev,
		libconsole-bridge-dev, python-rospy, libpython-dev,
		libactionlib-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
		libboost-dev, libboost-thread-dev, libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev, libroscpp-msgs-dev,
		python-tf2, libtf2-msgs-dev, libtf2-ros-dev, libangles-dev,
		libtf2-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ros.org/wiki/geometry
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-geometry.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-geometry.git

Package: libtf0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS tf transform library to keep track of multiple coordinate frames
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the library itself.

Package: libtf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtf0d ( = ${binary:Version}), libgeometry-msgs-dev, libmessage-filters-dev, ros-message-runtime, libroscpp-dev, libsensor-msgs-dev, libstd-msgs-dev, libtf2-ros-dev, librosconsole-dev
Description: Robot OS tf transform library  - development files
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the development files of tf library.

Package: python-tf
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python-genpy, python-std-msgs,
     python-geometry-msgs, python-sensor-msgs, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Robot OS tf transform library - Python
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the Python bindings and is part of Robot OS (ROS)

Package: tf-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libtf0d ( = ${binary:Version}),
   python-tf, python
Description: Set of utilities to operate with the Robot OS tf lib
 This package is part of Robot OS (ROS), and contains transform
 library tools. Although tf is mainly a code library meant to be used
 within ROS nodes, it comes with a large set of command-line tools
 that assist in the debugging and creation of tf coordinate
 frames. These tools include: static_transform_publisher,
 tf_change_notifier, tf_echo, tf_empty_listener tf_monitor, tf_remap
 and view_frames_tf

Package: cl-tf
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS tf transform library -- LISP interface
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the LISP bindings (messages and services) and
 is part of Robot OS (ROS).

Package: libtf-conversions0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libtf0d ( = ${binary:Version}),
Multi-Arch: same
Description: Robot OS conversion library between tf and Eigen and KDL
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the library itself and is part of Robot OS (ROS).

Package: libtf-conversions-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev
Description: Robot OS conversion library between Eigen, KDL and tf - development files
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the development files of tf-conversions library
 and is part of Robot OS (ROS).

Package: python-tf-conversions
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, 
     python-std-msgs, python-tf
XB-Python-Version: ${python:Versions}
Description: Robot OS conversion library between Eigen, KDL and tf - Python interface
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with  
 the datatype of their choice. Currently this package has support for 
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the Python bindings and is part of Robot OS (ROS).

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --parallel --buildsystem=cmake --with python2


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-geometry 1.11.8

=== kdl_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(kdl_conversions)

find_package(catkin REQUIRED geometry_msgs)
find_package(orocos_kdl REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs 
  DEPENDS orocos_kdl
)

include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/kdl_msg.cpp
)
add_dependencies(${PROJECT_NAME} geometry_msgs_gencpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== tf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(tf)

find_package(catkin REQUIRED)

find_package(Boost COMPONENTS thread signals system REQUIRED)
find_package(catkin COMPONENTS angles geometry_msgs message_filters message_generation rosconsole roscpp rostime sensor_msgs std_msgs tf2_ros REQUIRED)

catkin_python_setup()

include_directories(SYSTEM ${Boost_INCLUDE_DIR}
                           ${catkin_INCLUDE_DIRS}
)
include_directories(include)
link_directories(${catkin_LIBRARY_DIRS})

add_message_files(DIRECTORY msg FILES tfMessage.msg)
add_service_files(DIRECTORY srv FILES FrameGraph.srv)

generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs message_filters message_runtime roscpp sensor_msgs std_msgs tf2_ros rosconsole
)

add_library(${PROJECT_NAME} src/tf.cpp src/transform_listener.cpp src/cache.cpp src/transform_broadcaster.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencpp)

# Debug
add_executable(tf_empty_listener src/empty_listener.cpp)
target_link_libraries(tf_empty_listener ${PROJECT_NAME})

add_executable(tf_echo src/tf_echo.cpp)
target_link_libraries(tf_echo ${PROJECT_NAME})

add_executable(tf_change_notifier src/change_notifier.cpp)
target_link_libraries(tf_change_notifier ${PROJECT_NAME})

add_executable(tf_monitor src/tf_monitor.cpp)
target_link_libraries(tf_monitor ${PROJECT_NAME})

add_executable(static_transform_publisher src/static_transform_publisher.cpp)
target_link_libraries(static_transform_publisher ${PROJECT_NAME})

# Tests
if(CATKIN_ENABLE_TESTING AND NOT ANDROID)

find_package(rostest)

catkin_add_gtest(tf_unittest test/tf_unittest.cpp)
target_link_libraries(tf_unittest ${PROJECT_NAME})

catkin_add_gtest(tf_quaternion_unittest test/quaternion.cpp)
target_link_libraries(tf_quaternion_unittest ${PROJECT_NAME})

catkin_add_gtest(test_transform_datatypes test/test_transform_datatypes.cpp)
target_link_libraries(test_transform_datatypes ${PROJECT_NAME} ${Boost_LIBRARIES})

add_executable(transform_listener_unittest test/transform_listener_unittest.cpp)
target_link_libraries(transform_listener_unittest ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/transform_listener_unittest.launch)

# Disabled because of changes in TransformStorage
#catkin_add_gtest_future(tf_unittest_future test/tf_unittest_future.cpp)
#target_link_libraries(tf_unittest_future ${PROJECT_NAME})

catkin_add_gtest(test_velocity test/velocity_test.cpp)
target_link_libraries(test_velocity ${PROJECT_NAME})

#add_executable(test_transform_twist test/transform_twist_test.cpp)
#target_link_libraries(test_transform_twist ${PROJECT_NAME})
#catkin_add_gtest_build_flags(test_transform_twist)
#add_rostest(test/transform_twist_test.launch)

catkin_add_gtest(cache_unittest test/cache_unittest.cpp)
target_link_libraries(cache_unittest ${PROJECT_NAME})


add_executable(test_message_filter EXCLUDE_FROM_ALL test/test_message_filter.cpp)
target_link_libraries(test_message_filter tf ${Boost_LIBRARIES} ${GTEST_LIBRARIES})
add_rostest(test/test_message_filter.xml)


### Benchmarking
#catkin_add_gtest_future(tf_benchmark test/tf_benchmark.cpp)
#target_link_libraries(tf_benchmark ${PROJECT_NAME})

add_executable(testListener test/testListener.cpp)
target_link_libraries(testListener ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/test_broadcaster.launch)

add_executable(testBroadcaster test/testBroadcaster.cpp)
target_link_libraries(testBroadcaster ${PROJECT_NAME})

endif()


if(NOT ANDROID)
#Python setup
set(Python_ADDITIONAL_VERSIONS 2.7)
find_package(PythonLibs REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH})

# # If on Darwin, create a symlink _foo.so -> _foo.dylib, because the
# # MacPorts version of Python won't find _foo.dylib for 'import _foo'
# include(CMakeDetermineSystem)
# if(CMAKE_SYSTEM_NAME MATCHES "Darwin")
#   add_custom_command(OUTPUT ${LIBRARY_OUTPUT_PATH}/_${PROJECT_NAME}_swig.so
#                      COMMAND cmake -E create_symlink  ${LIBRARY_OUTPUT_PATH}/_${PROJECT_NAME}_swig.dylib ${LIBRARY_OUTPUT_PATH}/_${PROJECT_NAME}_swig.so
#                      DEPENDS python_${PROJECT_NAME})
#   add_custom_target(symlink_darwin_lib ALL
#                     DEPENDS ${LIBRARY_OUTPUT_PATH}/_${PROJECT_NAME}_swig.so)
# endif(CMAKE_SYSTEM_NAME MATCHES "Darwin")


# Check for SSE
#check_for_sse()

# Dynamic linking with tf worked OK, except for exception propagation, which failed in the unit test.
# so build with the objects directly instead.

link_libraries(${PYTHON_LIBRARIES})
add_library(pytf_py src/pytf.cpp src/tf.cpp src/transform_listener.cpp src/cache.cpp)
add_dependencies(pytf_py ${PROJECT_NAME}_gencpp)

find_package(PythonLibs REQUIRED)
set_target_properties(pytf_py PROPERTIES OUTPUT_NAME tf PREFIX "_" SUFFIX ".so"
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR}/tf)


target_link_libraries(pytf_py ${Boost_LIBRARIES} ${catkin_LIBRARIES})
endif()

if(CATKIN_ENABLE_TESTING AND NOT ANDROID)
catkin_add_nosetests(test/testPython.py) 
add_executable(tf_speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(tf_speed_test ${PROJECT_NAME})
endif()


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME} tf_echo tf_empty_listener tf_change_notifier tf_monitor static_transform_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(NOT ANDROID)
install(TARGETS pytf_py
  LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_DIR}/tf)
endif()

# Install rosrun-able scripts
install(PROGRAMS 
  scripts/bullet_migration_sed.py
  scripts/tf_remap
  scripts/view_frames
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

if(TARGET tests)
  add_dependencies(tests testBroadcaster testListener transform_listener_unittest test_message_filter )
endif()

=== debian/changelog ===
ros-geometry (1.11.8-4) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:19:06 +0100

ros-geometry (1.11.8-3) unstable; urgency=medium

  * Add missing dependency for view_frames

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 05 Sep 2016 11:55:48 +0200

ros-geometry (1.11.8-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Add missing build dependencies (Closes: #835751)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 22:49:13 +0200

ros-geometry (1.11.8-1) unstable; urgency=medium

  * Imported Upstream version 1.11.8

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 10:41:01 +0200

ros-geometry (1.11.7-3) unstable; urgency=medium

  * Add breaks/replaces for moved package.xml

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 21:15:29 +0100

ros-geometry (1.11.7-2) unstable; urgency=medium

  * Add dependency
  * Adopt to new libexec location in catkin
  * Fix location of package.xml for rosrun tf tf_remap

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 12:18:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,40 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9),
-		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation,
+		libstd-msgs-dev, ros-std-msgs,
 		python-all, python-setuptools, dh-python,
-		libgeometry-msgs-dev, libactionlib-msgs-dev,
+		libgeometry-msgs-dev, ros-geometry-msgs,
+		libactionlib-msgs-dev, ros-actionlib-msgs,
 		libconsole-bridge-dev, python-rospy, libpython-dev,
 		libactionlib-dev, librosconsole-dev,
-		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
+		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
+		libxmlrpcpp-dev,
 		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
-		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
+		liborocos-kdl-dev,
+		libsensor-msgs-dev, ros-sensor-msgs,
+		libbullet-dev,
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, libroscpp-msgs-dev,
-		python-tf2, libtf2-msgs-dev, libtf2-ros-dev, libangles-dev,
+		python-tf2,
+		libtf2-msgs-dev, ros-tf2-msgs,
+		libtf2-ros-dev, libangles-dev,
 		libtf2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.ros.org/wiki/geometry
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-geometry.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-geometry.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
 
 Package: libtf0d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libtf-dev (<< 1.11.7-2)
+Replaces: libtf-dev (<< 1.11.7-2)
 Multi-Arch: same
 Description: Robot OS tf transform library to keep track of multiple coordinate frames
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -66,7 +75,7 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libtf0d ( = ${binary:Version}),
-   python-tf, python
+   python-tf, python, graphviz
 Description: Set of utilities to operate with the Robot OS tf lib
  This package is part of Robot OS (ROS), and contains transform
  library tools. Although tf is mainly a code library meant to be used
@@ -106,7 +115,7 @@
 Package: libtf-conversions-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev
+Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev, libeigen3-dev
 Description: Robot OS conversion library between Eigen, KDL and tf - development files
  This package contains a set of conversion functions to convert
  common tf datatypes (point, vector, pose, etc) into semantically

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/geometry-$1\.tar\.gz/ \
  https://github.com/ros/geometry/releases .*/v?(\d\S*)\.tar\.gz

## ros-geometry 1.11.9

=== eigen_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(eigen_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED cmake_modules geometry_msgs std_msgs)
find_package(Eigen3 REQUIRED)

include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs std_msgs
  DEPENDS orocos_kdl
)

add_library(${PROJECT_NAME}
  src/eigen_msg.cpp
  src/eigen_kdl.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== kdl_conversions/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
-  CATKIN_DEPENDS geometry_msgs 
+  CATKIN_DEPENDS geometry_msgs
   DEPENDS orocos_kdl
 )
 
@@ -17,7 +17,7 @@
 add_library(${PROJECT_NAME}
   src/kdl_msg.cpp
 )
-add_dependencies(${PROJECT_NAME} geometry_msgs_gencpp)
+add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})
 
 install(DIRECTORY include/${PROJECT_NAME}/

=== tf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(tf)

find_package(catkin REQUIRED COMPONENTS
    angles
    geometry_msgs
    message_filters
    message_generation
    rosconsole
    roscpp
    rostime
    sensor_msgs
    std_msgs
    tf2_ros
)
find_package(Boost REQUIRED COMPONENTS thread signals system)

catkin_python_setup()

include_directories(
    ${Boost_INCLUDE_DIR}
    ${catkin_INCLUDE_DIRS}
    include
)

add_message_files(DIRECTORY msg FILES tfMessage.msg)
add_service_files(DIRECTORY srv FILES FrameGraph.srv)

generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs message_filters message_runtime roscpp sensor_msgs std_msgs tf2_ros rosconsole
)

add_library(${PROJECT_NAME}
    src/cache.cpp
    src/tf.cpp
    src/transform_broadcaster.cpp
    src/transform_listener.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

# Debug
add_executable(tf_empty_listener src/empty_listener.cpp)
target_link_libraries(tf_empty_listener ${PROJECT_NAME})

add_executable(tf_echo src/tf_echo.cpp)
target_link_libraries(tf_echo ${PROJECT_NAME})

add_executable(tf_change_notifier src/change_notifier.cpp)
target_link_libraries(tf_change_notifier ${PROJECT_NAME})

add_executable(tf_monitor src/tf_monitor.cpp)
target_link_libraries(tf_monitor ${PROJECT_NAME})

add_executable(static_transform_publisher src/static_transform_publisher.cpp)
target_link_libraries(static_transform_publisher ${PROJECT_NAME})

# Tests
if(CATKIN_ENABLE_TESTING AND NOT ANDROID)

find_package(rostest REQUIRED)

catkin_add_gtest(tf_unittest test/tf_unittest.cpp)
target_link_libraries(tf_unittest ${PROJECT_NAME})

catkin_add_gtest(tf_quaternion_unittest test/quaternion.cpp)
target_link_libraries(tf_quaternion_unittest ${PROJECT_NAME})

catkin_add_gtest(test_transform_datatypes test/test_transform_datatypes.cpp)
target_link_libraries(test_transform_datatypes ${PROJECT_NAME} ${Boost_LIBRARIES})

add_executable(transform_listener_unittest test/transform_listener_unittest.cpp)
target_link_libraries(transform_listener_unittest ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/transform_listener_unittest.launch)

# Disabled because of changes in TransformStorage
#catkin_add_gtest_future(tf_unittest_future test/tf_unittest_future.cpp)
#target_link_libraries(tf_unittest_future ${PROJECT_NAME})

catkin_add_gtest(test_velocity test/velocity_test.cpp)
target_link_libraries(test_velocity ${PROJECT_NAME})

#add_executable(test_transform_twist test/transform_twist_test.cpp)
#target_link_libraries(test_transform_twist ${PROJECT_NAME})
#catkin_add_gtest_build_flags(test_transform_twist)
#add_rostest(test/transform_twist_test.launch)

catkin_add_gtest(cache_unittest test/cache_unittest.cpp)
target_link_libraries(cache_unittest ${PROJECT_NAME})

add_executable(test_message_filter EXCLUDE_FROM_ALL test/test_message_filter.cpp)
target_link_libraries(test_message_filter tf ${Boost_LIBRARIES} ${GTEST_LIBRARIES})
add_rostest(test/test_message_filter.xml)


### Benchmarking
#catkin_add_gtest_future(tf_benchmark test/tf_benchmark.cpp)
#target_link_libraries(tf_benchmark ${PROJECT_NAME})

add_executable(testListener test/testListener.cpp)
target_link_libraries(testListener ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/test_broadcaster.launch)

add_executable(testBroadcaster test/testBroadcaster.cpp)
target_link_libraries(testBroadcaster ${PROJECT_NAME})

catkin_add_nosetests(test/testPython.py) 
add_executable(tf_speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(tf_speed_test ${PROJECT_NAME})

if(TARGET tests)
    add_dependencies(tests testBroadcaster testListener transform_listener_unittest test_message_filter)
endif()

endif() # CATKIN_ENABLE_TESTING AND NOT ANDROID

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME} tf_echo tf_empty_listener tf_change_notifier tf_monitor static_transform_publisher
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install rosrun-able scripts
install(PROGRAMS
  scripts/bullet_migration_sed.py
  scripts/tf_remap
  scripts/view_frames
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

=== tf_conversions/CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,18 @@
 
 find_package(orocos_kdl REQUIRED)
 find_package(catkin REQUIRED cmake_modules geometry_msgs kdl_conversions tf)
-find_package(Eigen REQUIRED)
+find_package(Eigen3 REQUIRED)
 
 catkin_python_setup()
 
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
-  DEPENDS Eigen orocos_kdl
+  DEPENDS EIGEN3 orocos_kdl
   CATKIN_DEPENDS geometry_msgs kdl_conversions tf
 )
 
-include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
-include_directories(include ${catkin_INCLUDE_DIRS})
+include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
 
 # Needed due to no full filename in orocos_kdl pkg-config export
 link_directories(${orocos_kdl_LIBRARY_DIRS})
@@ -24,7 +23,7 @@
   src/tf_kdl.cpp
   src/tf_eigen.cpp
 )
-add_dependencies(${PROJECT_NAME} geometry_msgs_gencpp)
+add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})
 
 # Tests
@@ -35,6 +34,9 @@
 target_link_libraries(test_eigen_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})
 
 catkin_add_gtest(test_kdl_tf test/test_kdl_tf.cpp)
+if(CMAKE_COMPILER_IS_GNUCXX)
+set_target_properties(test_kdl_tf PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
+endif()
 target_link_libraries(test_kdl_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})
 
 catkin_add_nosetests(test/posemath.py)

=== debian/changelog ===
ros-geometry (1.11.9-3) unstable; urgency=medium

  * Disable python-tf-conversions until PyKDL is in Debian (Closes: #896310)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 21:30:12 +0200

ros-geometry (1.11.9-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Fix homepage
  * Add missing dependency (Closes: #896294)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:34:38 +0200

ros-geometry (1.11.9-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update watch file
  * Remove old catkin version
  * New upstream version 1.11.9
  * Bump debhelper and standards version
  * Rebase patches
  * Remove binary python module, not build anymore

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 22:19:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9),
-		catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation,
+Build-Depends: debhelper (>= 10),
+		catkin, libroscpp-core-dev, ros-message-generation,
 		libstd-msgs-dev, ros-std-msgs,
 		python-all, python-setuptools, dh-python,
 		libgeometry-msgs-dev, ros-geometry-msgs,
@@ -14,7 +14,7 @@
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
 		libxmlrpcpp-dev,
-		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
+		libmessage-filters-dev, libeigen3-dev,
 		liborocos-kdl-dev,
 		libsensor-msgs-dev, ros-sensor-msgs,
 		libbullet-dev,
@@ -25,11 +25,12 @@
 		libtf2-msgs-dev, ros-tf2-msgs,
 		libtf2-ros-dev, libangles-dev,
 		libtf2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
-Homepage: http://www.ros.org/wiki/geometry
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/geometry
+Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry
+Vcs-Git: https://salsa.debian.org/science-team/ros-geometry.git
 
 Package: libtf0d
 Architecture: any
@@ -48,6 +49,7 @@
 Package: libtf-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libtf0d ( = ${binary:Version}), libgeometry-msgs-dev, libmessage-filters-dev, ros-message-runtime, libroscpp-dev, libsensor-msgs-dev, libstd-msgs-dev, libtf2-ros-dev, librosconsole-dev
 Description: Robot OS tf transform library  - development files
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -61,7 +63,7 @@
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python-genpy, python-std-msgs,
-     python-geometry-msgs, python-sensor-msgs, ${python:Depends}
+     python-geometry-msgs, python-sensor-msgs, ${python:Depends}, python-numpy, python-tf2-ros
 XB-Python-Version: ${python:Versions}
 Description: Robot OS tf transform library - Python
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -88,6 +90,7 @@
 Package: cl-tf
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS tf transform library -- LISP interface
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -115,6 +118,7 @@
 Package: libtf-conversions-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev, libeigen3-dev
 Description: Robot OS conversion library between Eigen, KDL and tf - development files
  This package contains a set of conversion functions to convert
@@ -127,19 +131,18 @@
  This package contains the development files of tf-conversions library
  and is part of Robot OS (ROS).
 
-Package: python-tf-conversions
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, 
-     python-std-msgs, python-tf
-XB-Python-Version: ${python:Versions}
-Description: Robot OS conversion library between Eigen, KDL and tf - Python interface
- This package contains a set of conversion functions to convert
- common tf datatypes (point, vector, pose, etc) into semantically
- identical datatypes used by other libraries. The conversion functions
- make it easier for users of the transform library (tf) to work with  
- the datatype of their choice. Currently this package has support for 
- the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
- .
- This package contains the Python bindings and is part of Robot OS (ROS).
- 
+#Package: python-tf-conversions
+#Section: python
+#Architecture: any
+#Depends: ${python:Depends}, ${misc:Depends}, python-genpy,
+#     python-std-msgs, python-tf
+#XB-Python-Version: ${python:Versions}
+#Description: Robot OS conversion library between Eigen, KDL and tf - Python interface
+# This package contains a set of conversion functions to convert
+# common tf datatypes (point, vector, pose, etc) into semantically
+# identical datatypes used by other libraries. The conversion functions
+# make it easier for users of the transform library (tf) to work with
+# the datatype of their choice. Currently this package has support for
+# the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
+# .
+# This package contains the Python bindings and is part of Robot OS (ROS).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometry-$1.tar.gz%" \
    https://github.com/ros/geometry/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-geometry 1.12.0

=== eigen_conversions/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(eigen_conversions)
 
 find_package(orocos_kdl REQUIRED)
-find_package(catkin REQUIRED cmake_modules geometry_msgs std_msgs)
+find_package(catkin REQUIRED geometry_msgs std_msgs)
 find_package(Eigen3 REQUIRED)
 
 include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})

=== tf/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 project(tf)
+
+add_compile_options(-std=c++11)
 
 find_package(catkin REQUIRED COMPONENTS
     angles
@@ -18,9 +20,9 @@
 catkin_python_setup()
 
 include_directories(
+    include
     ${Boost_INCLUDE_DIR}
     ${catkin_INCLUDE_DIRS}
-    include
 )
 
 add_message_files(DIRECTORY msg FILES tfMessage.msg)

=== tf_conversions/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(tf_conversions)
 
 find_package(orocos_kdl REQUIRED)
-find_package(catkin REQUIRED cmake_modules geometry_msgs kdl_conversions tf)
+find_package(catkin REQUIRED geometry_msgs kdl_conversions tf)
 find_package(Eigen3 REQUIRED)
 
 catkin_python_setup()

=== debian/changelog ===
ros-geometry (1.12.0-6ubuntu3) focal; urgency=medium

  * Rebuild against new boost1.67.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2020 00:09:30 +0100

ros-geometry (1.12.0-6ubuntu2) focal; urgency=medium

  * Drop unused boost-signals build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 19:35:35 +0000

ros-geometry (1.12.0-6build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 18:16:42 +0000

ros-geometry (1.12.0-6build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:11:59 +0000

ros-geometry (1.12.0-6) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * Drop Python 2 package (Closes: #938379)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 14:44:00 +0200

ros-geometry (1.12.0-5) unstable; urgency=medium

  * Add Python 3 packages
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 11:26:56 +0100

ros-geometry (1.12.0-4) unstable; urgency=medium

  * Fix roscpp-msg* dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 22:21:54 +0200

ros-geometry (1.12.0-3) unstable; urgency=medium

  * Move package.xml back into -dev package

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 20 Jun 2018 08:43:07 +0200

ros-geometry (1.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Jun 2018 08:40:18 +0200

ros-geometry (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Update patches
  * Bump SONAME
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 17:58:43 +0200

=== debian/control ===
Source: ros-geometry
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12),
		catkin, libroscpp-core-dev, ros-message-generation,
		libstd-msgs-dev, ros-std-msgs,
		python3-all, python3-setuptools, dh-python,
		libgeometry-msgs-dev, ros-geometry-msgs,
		libactionlib-msgs-dev, ros-actionlib-msgs,
		libconsole-bridge-dev, python3-rospy, libpython3-dev,
		libactionlib-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
		libxmlrpcpp-dev,
		libmessage-filters-dev, libeigen3-dev,
		liborocos-kdl-dev,
		libsensor-msgs-dev, ros-sensor-msgs,
		libbullet-dev,
		libboost-dev, libboost-thread-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev, libroscpp-msg-dev,
		python3-tf2,
		libtf2-msgs-dev, ros-tf2-msgs,
		libtf2-ros-dev, libangles-dev,
		libtf2-dev,
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometry
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry.git

Package: libtf1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS tf transform library to keep track of multiple coordinate frames
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the library itself.

Package: libtf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf1d ( = ${binary:Version}), libgeometry-msgs-dev, libmessage-filters-dev, ros-message-runtime, libroscpp-dev, libsensor-msgs-dev, libstd-msgs-dev, libtf2-ros-dev, librosconsole-dev
Breaks: libtf0d (<< 1.12.0-3), libtf1d (<< 1.12.0-3)
Replaces: libtf0d (<< 1.12.0-3), libtf1d (<< 1.12.0-3)
Description: Robot OS tf transform library  - development files
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the development files of tf library.

Package: python3-tf
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3-genpy, python3-std-msgs,
     python3-geometry-msgs, python3-sensor-msgs, ${python3:Depends}, python3-numpy, python3-tf2-ros
XB-Python-Version: ${python3:Versions}
Description: Robot OS tf transform library - Python 3
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the Python 3 bindings and is part of Robot OS (ROS)

Package: tf-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
   python3-tf, python3, graphviz
Description: Set of utilities to operate with the Robot OS tf lib
 This package is part of Robot OS (ROS), and contains transform
 library tools. Although tf is mainly a code library meant to be used
 within ROS nodes, it comes with a large set of command-line tools
 that assist in the debugging and creation of tf coordinate
 frames. These tools include: static_transform_publisher,
 tf_change_notifier, tf_echo, tf_empty_listener tf_monitor, tf_remap
 and view_frames_tf

Package: cl-tf
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS tf transform library -- LISP interface
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the LISP bindings (messages and services) and
 is part of Robot OS (ROS).

Package: libtf-conversions0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS conversion library between tf and Eigen and KDL
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the library itself and is part of Robot OS (ROS).

Package: libtf-conversions-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev, libeigen3-dev, libgeometry-msgs-dev, libtf-dev
Description: Robot OS conversion library between Eigen, KDL and tf - development files
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the development files of tf-conversions library
 and is part of Robot OS (ROS).

Package: python3-tf-conversions
Section: python
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy,
     python3-std-msgs, python3-tf, python3-pykdl
XB-Python-Version: ${python3:Versions}
Description: Robot OS conversion library between Eigen, KDL and tf - Python 3 interface
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the Python 3 bindings and is part of Robot OS (ROS).

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --buildsystem=cmake --with python3


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF
